
Pre-Development - Feature #19159

FE - React - Create microfrontend cc_auth

13 December 2023 05:58 PM - chok yee fan

Status: Closed Start date: 13 December 2023

Priority: Normal Due date:  

Assignee: chok yee fan % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Create addition microfrontend cc_auth for keycloak authenticate service only.

Once authenticated, share the keycloak instance into the global state to allow child to get the instance from the global state.

History

#1 - 14 December 2023 01:58 PM - chok yee fan

- Assignee changed from chok yee fan to Amirul Umar Pandai

as per explain, please implement it

#2 - 14 December 2023 04:18 PM - chok yee fan

chok: added cc_auth for keycloak authenticate

https://dev.silverlakemobility.com/redmine/issues/19159

#3 - 14 December 2023 04:29 PM - chok yee fan

chok: added ccauth

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-core/-/commit/ca0d2b454cace869fbb33bb54ce46fb331b2561b

#4 - 27 December 2023 05:15 PM - Amirul Umar Pandai

- Status changed from New to In Progress

- Assignee changed from Amirul Umar Pandai to chok yee fan

Pass cc_auth instance to topnavbar

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-core/-/commit/17fc19fe5e80d45d0ae9395680590aeb871e89ee

#5 - 11 January 2024 11:07 AM - chok yee fan

chok: ccauth move the tokenExpired from cciam to ccauth

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-core/-/commit/ad35ae82367ebde0813f60c1d18036c0e582b51a

#6 - 11 January 2024 11:08 AM - chok yee fan

chok: ccauth move to shared folder

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-core/-/commit/ad35ae82367ebde0813f60c1d18036c0e582b51a
#7 - 16 January 2024 03:20 PM - chok yee fan

- Status changed from In Progress to Closed

tested working fine
